.image-viewer__close-btn {
    position: absolute;
    top: 16px;
    right: 16px;
    border-radius: 100%;
    padding: 8px;
    background-color: rgba(255, 255, 255, 0.7);
}

.image-viewer__close-btn:hover {
    background-color: rgba(255, 255, 255, 1);
}

.image-viewer__close-btn:focus {
    box-shadow: none;
}

.image-viewer__content {
    position: relative;
    display: inline-flex;
    justify-content: center;
    border-radius: 16px;
    max-width: 400px;
    margin: 0 auto;
    border: none !important;
}

.image-viewer__image {
    max-width: 100%;
    max-height: 85vh;
    width: auto;
    height: auto;
    object-fit: contain;
    border-radius: 16px;
    transition: transform 0.3s ease;
    overflow: hidden;
}

.transparent-modal {
    background-color: transparent;
}

.prev-btn {
    position: absolute;
    top: calc(50% - 16px);
    left: 8px;
    color: #99a2ad;
    background-color: rgba(255, 255, 255, 0.7);
}

.next-btn {
    position: absolute;
    top: calc(50% - 16px);
    right: 8px;
    color: #99a2ad;
    background-color: rgba(255, 255, 255, 0.7);
}

.image-viewer__content:hover .prev-btn,
.image-viewer__content:hover .next-btn {
    background-color: rgba(255, 255, 255, 0.7);
    color: #99a2ad;
}

.next-btn:hover, .prev-btn:hover {
    background-color: rgba(255, 255, 255, 1) !important;
    color: #323232 !important;
}

.image-counter {
    position: absolute;
    bottom: 0;
    left: 0;
    color: #66060;
    font-size: 18px;
    font-weight: 600;
    border-radius: 16px;
    background-color: #fff;
    padding: 4px 8px;
}

@media(min-width: 1024px) {
    .prev-btn {
        background-color: transparent;
        color: transparent;
    }
    
    .next-btn {
        background-color: transparent;
        color: transparent;
    }
}